import { csv, select } from 'd3';
import { scatterPlot } from './scatterPlot';

const csvUrl = 'https://gist.githubusercontent.com/radhadevarapu/48ea7976ee75b64c23c1e7bb3d2e3f5d/raw/d05c2e9c9051b20b04e2007e9c7208be3bfc2680/irisdataset.csv'
const parseRow = (d) => {
  d.sepal_length = +d.sepal_length;
  d.sepal_width = +d.sepal_width;
  d.petal_length = +d.petal_length;
  d.petal_width = +d.petal_width;
  return d;
};

const width = window.innerWidth;
const height = window.innerHeight;
const svg = select('body')
  .append('svg')
  .attr('width', width)
  .attr('height', height);

const main = async () => {
  svg.call(
    scatterPlot()
      .width(width)
      .height(height)
      .data(await csv(csvUrl, parseRow))
      .xValue((d) => d.petal_width)
      .yValue((d) => d.sepal_length)
      .symbolValue((d) => d.species)
      .margin({
        top: 20,
        right: 20,
        bottom: 40,
        left: 50,
      })
      .size(100)
  );
};
main();
